/***********************************************************************
 * YoLink Power Failure Alarm sensor device support.
 *
 * Copyright (c) 2022 David Kerr
 *
 */
import { YoLinkPlatformAccessory } from './platformAccessory';
/***********************************************************************
 * initPowerSensor
 *
 */
export declare function initPowerSensor(this: YoLinkPlatformAccessory): Promise<void>;
/***********************************************************************
 * mqttPowerSensor
 *
 * Example of message received...
 * {
 *   "event": "PowerFailureAlarm.Alert",
 *   "time": 1663029430659,
 *   "msgid": "1663029430658",
 *   "data": {
 *     "state": "alert",
 *     "sound": 1,
 *     "battery": 4,
 *     "powerSupply": false,
 *     "alertDuration": 30,
 *     "alertInterval": 5,
 *     "version": "0608",
 *     "loraInfo": {
 *       "signal": -47,
 *       "gatewayId": "xxx",
 *       "gateways": 4
 *     }
 *   },
 *   "deviceId": "xxx"
 * }
 *
 * {
 *   "event": "PowerFailureAlarm.StatusChange",
 *   "time": 1663029928110,
 *   "msgid": "1663029928109",
 *   "data": {
 *     "state": "normal",
 *     "sound": 1,
 *     "battery": 4,
 *     "powerSupply": true,
 *     "alertDuration": 30,
 *     "alertInterval": 5,
 *     "version": "0608",
 *     "loraInfo": {
 *       "signal": -31,
 *       "gatewayId": "xxx",
 *       "gateways": 4
 *     }
 *   },
 *   "deviceId": "xxx"
 * }
 *
 * {
 *   "event": "PowerFailureAlarm.Report",
 *   "time": 1663030738694,
 *   "msgid": "1663030738694",
 *   "data": {
 *     "state": "normal",
 *     "sound": 1,
 *     "battery": 4,
 *     "powerSupply": true,
 *     "alertDuration": 30,
 *     "alertInterval": 5,
 *     "version": "0608",
 *     "loraInfo": {
 *       "signal": -30,
 *       "gatewayId": "xxx",
 *       "gateways": 4
 *     }
 *   },
 *   "deviceId": "xxx"
 * }
 *
 * {
 *   "event": "PowerFailureAlarm.setOption",
 *   "time": 1663030338998,
 *   "msgid": "1663030338998",
 *   "data": {
 *     "alertDuration": 30,
 *     "alertInterval": 5,
 *     "loraInfo": {
 *       "signal": -34,
 *       "gatewayId": "xxx",
 *       "gateways": 4
 *     }
 *   },
 *   "deviceId": "xxx"
 * }
 */
export declare function mqttPowerSensor(this: YoLinkPlatformAccessory, message: any): Promise<void>;
//# sourceMappingURL=powerDevice.d.ts.map